Jump to: navigation, search

Tycho/Release Notes/0.15

The Tycho 0.15.0 release has been staged. This page lists the features which will be available in the 0.15.0 release.

In order to test the staged release, add the following snippet to your (parent) POM:

<pluginRepositories>
  <pluginRepository>
    <id>tycho-staging</id>
    <url></url>
  </pluginRepository>
</pluginRepositories>

List of bug fixes and enhancements in 0.15.0

New and Noteworthy

New Features

  • Standard maven property ${project.build.sourceEncoding} is now taken into account by the tycho-compiler-plugin
  • Annotation processors can now be used with the JDT compiler when used with maven-compiler-plugin (see integration test )
  • The repository archive name generated by packaging type eclipse-repository is now configurable via standard maven property ${project.build.finalName}
    Note that the default archive name changed from ${project.artifactId}.zip to ${project.artifactId}-${project.version}.zip to be more compliant with maven conventions
  • For plugin and feature projects, a missing build.properties file or a missing bin.includes entry in build.properties will now fail the build by default as this would create an empty bundle/feature jar (warning only if strictBinIncludes=false)

Improvements and Fixes

  • .target file resolution results are now cached which can speed up the total build time by more than 50%, especially for large multi-module builds with many locations in the .target file
  • During source bundle generation, MANIFEST headers Bundle-Name and Bundle-Vendor are now taken over from the original bundle (with " Source" appended to the Bundle-Name)
  • The versions of JDT/APT , equinox and p2 used by tycho have been updated to Juno M7
  • tycho-surefire-plugin will now fail on exceptions in the tycho testing harness even if ${maven.test.failure.ignore} = true
  • The packaging type eclipse-application has been deprecated for a while now. To make this clear(er), a deprecation warning is printed when using packaging type eclipse-application